Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160847 - system-config-network fails with libfontconfig undefined symbol
Summary: system-config-network fails with libfontconfig undefined symbol
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 19:49 UTC by Robert Williams
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-02 04:53:37 UTC


Attachments (Terms of Use)

Description Robert Williams 2005-06-17 19:49:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
[root@cpmd sbin]# system-config-network
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 67, in <lambda>
    PROGNAME, PRG_VERSION)
  File "/usr/lib/python2.4/site-packages/rhpl/exception.py", line 369, in handleException
    import gtk
  File "/usr/src/build/535819-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
ImportError: /usr/lib/libfontconfig.so.1: undefined symbol: FT_Get_BDF_Property

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 70, in ?
    import gtk
  File "/usr/src/build/535819-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
ImportError: /usr/lib/libfontconfig.so.1: undefined symbol: FT_Get_BDF_Property


Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1  fontconfig-2.2.3-13   vmlinuz-2.6.11-1.1383_FC5

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-network as any user, including root
2.
3.
  

Actual Results:  See above.  The graphical interface, of course,
fails to appear when clicking on the menu interface.

Expected Results:  The system-config-network-gui should appear
and behave.

Additional info:

Workaround is to edit the files in
/etc/sysconfig:   network and in networking-scripts.

Comment 1 Harald Hoyer 2005-06-20 07:34:18 UTC
$ rpm -qf /usr/lib/libfontconfig.so.1
fontconfig-2.2.3-5


Comment 2 Matthias Clasen 2005-10-02 04:53:37 UTC
system-config-network works in current rawhide.


Note You need to log in before you can comment on or make changes to this bug.